function clientCmdAddCRPJob(%job,%path,%income,%rejob,%record,%reEXP,%maxEXP,%edu,%invest,%admin,%bounty,%items,%clrRecords,%pardon,%bricks,%payDems,%food)
{
	$CRPClient::Job[%job,Path] = %path;
	$CRPClient::Job[%job,Income] = %income;
	$CRPClient::Job[%job,ReJob] = %rejob;
	$CRPClient::Job[%job,Record] = YN(%record);
	$CRPClient::Job[%job,ReExp] = %reExp;
	$CRPClient::Job[%job,MaxExp] = %maxExp;
	$CRPClient::Job[%job,Education] = %edu;
	$CRPClient::Job[%job,InvestMent] = addComma(%invest);
	$CRPClient::Job[%job,Admin] = YN(%admin);
	$CRPClient::Job[%job,BountyClaim] = YN(getWord(%bounty,0));
	$CRPClient::Job[%job,BountyPlace] = YN(getWord(%bounty,1));
	$CRPClient::Job[%job,Items] = YN(%items);
	$CRPClient::Job[%job,ClearRecords] = YN(%clrRecords);
	$CRPClient::Job[%job,Pardon] = YN(%pardon);
	$CRPClient::Job[%job,Lots] = YN(getWord(%bricks,0));
	$CRPClient::Job[%job,Spawns] = YN(getWord(%bricks,1));
	$CRPClient::Job[%job,PayDems] = YN(%payDems);
	$CRPClient::Job[%job,Food] = YN(%food);
	JobsList.addRow(1,getSubStr(%path,0,1) TAB %job);
}
function clientCmdAddCRPItem(%item, %price)
{
	ItemsList.addRow(1,%item TAB "$"@ addComma(%price));
}
function clientCmdAddCRPVehicle(%vehicle, %price)
{
	VehiclesList.addRow(1,%vehicle TAB "$"@ addComma(%price));
}
function clientcmdPingCRPClient()
{
	commandtoserver('PingCRPClient');
}
function clientcmdOpenCRPClient(%admin)
{
	newChatHUD.add("CRPHUD");
	CRPAdminCommands.setVisible(%admin);
	clientCmdCenterPrint("<bitmap:Add-Ons/Client_CRP/Images/Welcome.png>",4);
	$CRPClient::Open = 1;
}
function clientCmdCloseCRPClient()
{
	JobsList.clear();
	ItemsList.clear();
	VehiclesList.clear();
	newChatHUD.remove("CRPHUD");
	clientCmdHideCRPClock();
	ApplyForJobButton.setVisible(0);
	CRPAdminCommands.setVisible(0);	
	ClientCmdClearCRPRealEstate();

	$CRPClient::Open = 0;
}
exec("Add-ons/Client_CRP/Interfaces/CRPHUD.gui");
exec("Add-ons/Client_CRP/Interfaces/CRPMenu.gui");
exec("Add-ons/Client_CRP/Interfaces/CRPLotDescription.gui");
exec("Add-ons/Client_CRP/Interfaces/CRPLotPrice.gui");
exec("Add-ons/Client_CRP/Interfaces/CRPOptions.gui");
exec("Add-ons/Client_CRP/Interfaces/CRPRealEstate.gui");
$CRPClient::Hunger[0] = "Near Death";
$CRPClient::Hunger[1] = "Starving";
$CRPClient::Hunger[2] = "Very Hungry";
$CRPClient::Hunger[3] = "Hungry";
$CRPClient::Hunger[4] = "Underfed";
$CRPClient::Hunger[5] = "Empty";
$CRPClient::Hunger[6] = "Content";
$CRPClient::Hunger[7] = "Satisfied";
$CRPClient::Hunger[8] = "Full";
$CRPClient::Hunger[9] = "Stuffed";
$CRPClient::Hunger[10] = "Overfed";
$CRPClient::Hunger[11] = "Engorged";
$CRPClient::Hunger[12] = "Bloated";
$CRPClient::Hunger[13] = "Bursting";
$CRPClient::Hunger[14] = "Obese";
$CRPClient::Time[0] = "12:min AM";
$CRPClient::Time[1] = "1:min AM";
$CRPClient::Time[2] = "2:min AM";
$CRPClient::Time[3] = "3:min AM";
$CRPClient::Time[4] = "4:min AM";
$CRPClient::Time[5] = "5:min AM";
$CRPClient::Time[6] = "6:min AM";
$CRPClient::Time[7] = "7:min AM";
$CRPClient::Time[8] = "8:min AM";
$CRPClient::Time[9] = "9:min AM";
$CRPClient::Time[10] = "10:min AM";
$CRPClient::Time[11] = "11:min AM";
$CRPClient::Time[12] = "12:min PM";
$CRPClient::Time[13] = "1:min PM";
$CRPClient::Time[14] = "2:min PM";
$CRPClient::Time[15] = "3:min PM";
$CRPClient::Time[16] = "4:min PM";
$CRPClient::Time[17] = "5:min PM";
$CRPClient::Time[18] = "6:min PM";
$CRPClient::Time[19] = "7:min PM";
$CRPClient::Time[20] = "8:min PM";
$CRPClient::Time[21] = "9:min PM";
$CRPClient::Time[22] = "10:min PM";
$CRPClient::Time[23] = "11:min PM";
$CRPClient::Jail[0] = "Prisoner";
$CRPClient::Jail[1] = "Convict";
$CRPClient::Jail[2] = "Felon";
$CRPClient::Tip[0] = "You can double click bank terminals to deposit all of your money.";
$CRPClient::Tip[1] = "You can double click police terminals to pay your demerits.";
$CRPClient::Tip[2] = "You can double click labor terminals to sell all of your resources.";
$CRPClient::Tip[3] = "If somebody steals your paycheck, kill them with the hammer and steal it back!";
$CRPClient::Tip[4] = "Your paycheck will decrease every tick you don't do your job.";
$CRPClient::Tip[5] = "You can get experience by doing job related tasks.";
$CRPClient::Tip[6] = "Being a laborer pays really good. Chop trees and mine ore for quick and easy cash!";
$CRPClient::Tip[7] = "You can place an ATM for a cost to withdraw from.";
$CRPClient::Tip[8] = "You can place and chop Player Trees for lumber.";
$CRPClient::Tip[9] = "Darker rocks have less ore in them.";
$CRPClient::Tip[10] = "If you become wanted, you can pay off your demerits at a police terminal.";
$CRPClient::Tip[11] = "You need lumber to place bricks.";
$CRPClient::Tip[12] = "You can change how often these tips appear in the CRP Options.";
$CRPClient::Tip[13] = "CRP is made up of over 6,000 lines of code.";
$CRPClient::Tip[14] = "CRP is only 168 KB in size.";
$CRPClient::Tip[15] = "If somebody damages you, you can hammer them in self defense!";
$CRPClient::Tip[16] = "The baton does slightly more damage than the limited baton.";
$CRPClient::Tip[17] = "CRP can handle up to 99 players in a server without lagging.";
$CRPClient::Tip[18] = "Laborers can click trees to see how much lumber is left in them.";
$CRPClient::Tip[19] = "Laborers can click rocks to see how much ore is left in them.";
$CRPClient::Tip[20] = "Bounty hunters can click players to see if they have a bounty.";
$CRPClient::Tip[21] = "Shop keepers can click players to see how much money they have.";
$CRPClient::Tip[22] = "Doctors can click players to heal them.";
$CRPClient::Tip[23] = "Policemen can click players to see if they are wanted.";
$CRPClient::Tip[24] = "Criminals need to crouch to pickpocket.";
$CRPClient::Tip[25] = "Having a chained wallet makes it harder to be pickpocketed.";
$CRPClient::Tip[26] = "Buy a light with \c3/Buy Light\c6.";
$CRPClient::Tip[27] = "Having a light makes it much easier to see at night.";
$CRPClient::Tip[28] = "If you have a cellphone, you can see when the next tick is and \c3/Text \c6people.";
$CRPClient::Tip[29] = "Buy a chained wallet with \c3/Buy Chained Wallet\c6.";
$CRPClient::Tip[30] = "Buy a cellphone with \c3/Buy Cellphone\c6.";
$CRPClient::Tip[31] = "You can view jobs, items, vehicles, and your statistics in the CRP Menu.";
$CRPClient::Tip[32] = "To avoid being ran over, use the sidewalks!";
$CRPClient::Tip[33] = "Avoid bullets to avoid being shot!";
$CRPClient::Tip[34] = "If somebody kills you, it's a good idea to avoid that person!";
$CRPClient::Tip[35] = "Policemen need to work together to catch criminals.";
$CRPClient::Tip[36] = "As a policeman, hit a criminal with the baton to jail them.";
$CRPClient::Tip[37] = "Lumberjacks don't drop lumber when they die.";
$CRPClient::Tip[38] = "Miners don't drop ore when they die.";
$CRPClient::Tip[39] = "Please report all bugs to an admin or the host.";
$CRPClient::Tip[40] = "Jobs that require more experience level usually pay more.";
$CRPClient::Tip[41] = "As a policeman you don't have to share the jail money, but people will like you by doing so!";
$CRPClient::Tip[42] = "Eat often to avoid dying of starvation!";
$CRPClient::Tip[43] = "You can buy food at local stores.";
$CRPClient::Tip[44] = "When you die you drop all your money and resources.";
$CRPClient::Tip[45] = "Don't carry too much money or resources on you incase you die!";
$CRPClient::Tip[46] = "When you die you will loose all your tools.";
$CRPClient::Tip[47] = "When you disconnect your position will be saved and then loaded next time you connect.";
$CRPClient::Tip[48] = "All your data is saved when you disconnect.";
$CRPClient::Tip[59] = "You can store items in some safes!";
$CRPClient::Tip[50] = "You need build trust to deposit in someone's safe and full trust to withdraw from it.";
$CRPClient::Tip[51] = "You can hammer bricks for 80% of their original price.";
$CRPClient::Tip[52] = "Doctors can heal players through events!";
$CRPClient::Tip[53] = "You can make a lot of money from mining in jail.";
$CRPClient::Tip[54] = "Sell resources at labor terminals for money.";
$CRPClient::Tip[55] = "You can sell your builds on real estate for money.";
$CRPClient::Tip[56] = "Ores sell for more than lumber but you can chop lumber faster.";
$CRPClient::Tip[57] = "Say /Iban for free money.";
$CRPClient::Tip[58] = "Most people don't like being killed.";
$CRPClient::Tip[69] = "As a cop, don't be afraid to spend money on a weapon to kill and disarm the criminal.";
$CRPClient::Tip[60] = "As a policeman, work together to corner the criminal.";
$CRPClient::Tip[61] = "Say \c3/Buy\c6 to view the buy menu.";
$CRPClient::Tip[62] = "Destroying a brick won't give you lumber in return.";
$CRPClient::Tip[63] = "Lots have a height limit. Try not to build too tall!";
$CRPClient::Tip[64] = "This tip is only one of the 70 tips!";
$CRPClient::Tip[65] = "Industrial lots can be used to decrease your taxes.";
$CRPClient::Tip[66] = "You can use commercial lots to create shops and casinos.";
$CRPClient::Tip[67] = "RequestFunds can only be used in a commercial lot.";
$CRPClient::Tip[68] = "You can change your lot descriptions anytime by visiting a real estate terminal.";
$CRPClient::Tip[69] = "You may not be able to place bounties but you can pay other people to do so!";
function displayCRPTip()
{
	if($Sim::Time-$CRPClient::LastTip>CRPTipDelay.getValue()*60 && CRPShowTips.getValue())
	{
		%tip = getRandom(70);
		clientCmdBottomPrint("<color:ffffff>"@ $CRPClient::Tip[%tip],7);
		$CRPClient::LastTip = $Sim::Time;
	}
}
$CRPClient::ShowDataDownloads=1;
function YN(%value)
{
	if(%value)
		return "Yes";
	return "No";
}
$lots0="Lots";
$lots1="A lot";
$lots2="A shitload";
$lots3="Too many";
function addComma(%aString)
{
	if(StriPos(%aString,"e") > -1)
		return $Lots[getRandom(3)];
	%len = strlen(%aString);
	if( %len < 4)
		return %aString;
	%last = getSubStr(%aString, %len-3, 3);
	%first = getSubStr(%aString, 0, %len-3);
	%part = addComma(%first);
	return %part @","@ %last;
}
function SetJobInformation(%job)
{
	JobPath.setText("\c6Path: \c3"@ $CRPClient::Job[%job,Path]);
	JobPay.setText("\c6Pay: \c2$"@ $CRPClient::Job[%job,Income]);
	if($CRPClient::Job[%job,ReJob] $= "")
		JobRequiredJob.setText("\c6Job: \c3None");
	else
		JobRequiredJob.setText("\c6Job: \c3"@ $CRPClient::Job[%job,ReJob]);
	JobRecord.setText("\c6Clean Record: \c3"@ $CRPClient::Job[%job,Record]);
	JobRequiredExperience.setText("\c6Required EXP: \c3"@ $CRPClient::Job[%job,ReExp]);
	JobMaxExperience.setText("\c6Max EXP: \c3"@ $CRPClient::Job[%job,MaxExp]);
	JobEducation.setText("\c6Education: \c3"@ $CRPClient::Job[%job,Education]);
	JobInvestment.setText("\c6Investment: \c2$"@ $CRPClient::Job[%job,Investment]);
	JobAdmin.setText("\c6Admin: \c3"@ $CRPClient::Job[%job,Admin]);
	JobClaimBounty.setText("\c6Claim Bounties: \c3"@ $CRPClient::Job[%job,BountyClaim]);
	JobPlaceBounty.setText("\c6Place Bounties: \c3"@ $CRPClient::Job[%job,BountyPlace]);
	JobItems.setText("\c6Items: \c3"@ $CRPClient::Job[%job,Items]);
	JobClearRecords.setText("\c6Clear Records: \c3"@ $CRPClient::Job[%job,ClearRecords]);
	JobPardon.setText("\c6Pardon: \c3"@ $CRPClient::Job[%job,Pardon]);
	JobLots.setText("\c6Lots: \c3"@ $CRPClient::Job[%job,Lots]);
	JobSpawns.setText("\c6Spawns: \c3"@ $CRPClient::Job[%job,Spawns]);
	JobPaydems.setText("\c6Pay Demerits: \c3"@ $CRPClient::Job[%job,PayDems]);
	JobFood.setText("\c6Food: \c3"@ $CRPClient::Job[%job,Food]);
}
function clientCmdSetCRPStats(%bank,%record,%bounty,%exp,%edu,%lumber,%ore,%ninemm,%rifle,%shell,%explosive,%coke,%weed)
{
	CRPStatBank.setText("\c6Bank: \c2$"@ addComma(%bank));
	CRPStatRecord.setText("\c6Record: \c3"@ YN(%record));
	CRPStatBounty.setText("\c6Bounty: \c2$"@ addComma(%bounty));
	CRPStatExperience.setText("\c6Experience: \c3"@ %exp);
	CRPStatEducation.setText("\c6Education: \c3"@ %edu);
	CRPStatLumber.setText("\c6Lumber: \c3"@ addComma(%lumber));
	CRPStatOre.setText("\c6Ore: \c3"@ addComma(%ore));
	CRPStat9mm.setText("\c69mm: \c3"@ %ninemm);
	CRPStatRifle.setText("\c6Rifle: \c3"@ %rifle);
	CRPStatShell.setText("\c6Shell: \c3"@ %shell);
	CRPStatExplosive.setText("\c6Explosive: \c3"@ %explosive);
	CRPStatCoke.setText("\c6Coke: \c3"@ %coke);
	CRPStatWeed.setText("\c6Weed: \c3"@ %weed);
}
function clientCmdSetCRPLifeTimeStats(%kills,%deaths,%arrests,%jailcount,%jailtime,%moneystolen,%salesmade,%totalresources)
{
	CRPStatKills.setText("\c6Kills: \c3"@ %kills);
	CRPStatDeaths.setText("\c6Deaths: \c3"@ %deaths);
	CRPStatArrests.setText("\c6Arrests: \c3"@ %arrests);
	CRPStatJailCount.setText("\c6Times Jailed: \c3"@ %jailcount);
	CRPStatJailTime.setText("\c6Time Spent in Jail: \c3"@ %jailtime @" Ticks");
	CRPStatMoneyStolen.setText("\c6Money Stolen: \c2$"@ addComma(%moneystolen));
	CRPStatSalesMade.setText("\c6Sales Made: \c3"@ addComma(%salesmade));
	CRPStatTotalResources.setText("\c6Resources Obtained: \c3"@ addComma(%totalresources));
}
function clientCmdSetCRPGlobalStats(%a,%aa,%b,%bb,%c,%cc,%d,%dd,%e,%ee,%f,%ff,%g,%gg)
{
	CRPStatMostMoney.setText("\c6The richest person is \c3"@ %a @"\c6 with \c2$"@ addComma(%aa) @"\c6.");
	CRPStatMostKills.setText("\c6The deadliest person is \c3"@ %b @"\c6 with \c3"@ addComma(%bb) @"\c6 kills.");
	CRPStatMostArrests.setText("\c6The top cop is \c3"@ %c @"\c6 with \c3"@ %cc @"\c6 arrests.");
	CRPStatMostJailTime.setText("\c6The biggest criminal is \c3"@ %d @"\c6 with \c3"@ %dd @"\c6 ticks in jail.");
	CRPStatMostStolen.setText("\c6The biggest thief is \c3"@ %e @"\c6 with \c2$"@ addComma(%ee) @"\c6 in stolen money.");
	CRPStatMostSold.setText("\c6The top seller is \c3"@ %f @"\c6 with \c3"@ addComma(%ff) @"\c6 sales.");
	CRPStatMostResources.setText("\c6The busiest laborer is \c3"@ %g @"\c6 with \c3"@ addComma(%gg) @"\c6 resources.");
}
function clientCmdSetCRPWanted(%dems)
{
	if(%dems < 200)
	{
		CRPHUD_Star1.setvisible(0);
		CRPHUD_Star2.setvisible(0);
		CRPHUD_Star3.setvisible(0);
		CRPHUD_Star4.setvisible(0);
		CRPHUD_Star5.setvisible(0);
		CRPHUD_Star6.setvisible(0);
	}
	else if(%dems < 400)
	{
		CRPHUD_Star1.setvisible(1);
		CRPHUD_Star2.setvisible(0);
		CRPHUD_Star3.setvisible(0);
		CRPHUD_Star4.setvisible(0);
		CRPHUD_Star5.setvisible(0);
		CRPHUD_Star6.setvisible(0);
	}
	else if(%dems < 600)
	{
		CRPHUD_Star1.setvisible(1);
		CRPHUD_Star2.setvisible(1);
		CRPHUD_Star3.setvisible(0);
		CRPHUD_Star4.setvisible(0);
		CRPHUD_Star5.setvisible(0);
		CRPHUD_Star6.setvisible(0);
	}
	else if(%dems < 800)
	{

		CRPHUD_Star1.setvisible(1);
		CRPHUD_Star2.setvisible(1);
		CRPHUD_Star3.setvisible(1);
		CRPHUD_Star4.setvisible(0);
		CRPHUD_Star5.setvisible(0);
		CRPHUD_Star6.setvisible(0);
	}
	else if(%dems < 1000)
	{
		CRPHUD_Star1.setvisible(1);
		CRPHUD_Star2.setvisible(1);
		CRPHUD_Star3.setvisible(1);
		CRPHUD_Star4.setvisible(1);
		CRPHUD_Star5.setvisible(0);
		CRPHUD_Star6.setvisible(0);
	}
	else if(%dems < 1200)
	{
		CRPHUD_Star1.setvisible(1);
		CRPHUD_Star2.setvisible(1);
		CRPHUD_Star3.setvisible(1);
		CRPHUD_Star4.setvisible(1);
		CRPHUD_Star5.setvisible(1);
		CRPHUD_Star6.setvisible(0);
	}
	else
	{
		CRPHUD_Star1.setvisible(1);
		CRPHUD_Star2.setvisible(1);
		CRPHUD_Star3.setvisible(1);
		CRPHUD_Star4.setvisible(1);
		CRPHUD_Star5.setvisible(1);
		CRPHUD_Star6.setvisible(1);
	}
	$CRPClient::Demerits = addComma(%dems);
}
function clientCmdHideCRPClock()
{
	CRPHUD_Clock.setvisible(0);
	cancel($CRPClientClock);
}
function clientCmdSetCRPClock(%hour, %minute, %speed)
{
	cancel($CRPClientClock);
	if(%minute < 10)
		%minute = "0"@ %minute;
	if($Pref::CRPClient::ClockMode)
		CRPHUD_Clock.settext("\c3"@ %hour @":"@ %minute);
	else
		CRPHUD_Clock.settext("\c3"@ strReplace($CRPClient::Time[%hour],"min",%minute));
	CRPHUD_Clock.setvisible(1);
	%minute++;
	if(%minute > 59)
	{
		%minute = 0;
		%hour++;
	}
	if(%hour > 23)
		%hour = 0;
	$CRPClientClock = schedule(%speed*1000,0,"clientCmdSetCrpClock",%hour,%minute,%speed);
	displayCRPTip();
}
function clientcmdSetCRPMoney(%money)
{
	$CRPClient::Money = addComma(%money);
	CRPHUD_Money.settext("\c6Money: \c2$"@ $CRPClient::Money);
	CRPStatMoney.setText("\c6Money: \c2$"@ $CRPClient::Money);
}
function clientcmdSetCRPIncome(%income)
{
	CRPHUD_Income.settext("\c6Income: \c2$"@ %income);
}
function clientcmdSetCRPJob(%jail, %student, %job)
{
	if(%jail)
	{
		if(%jail != 1)
			%s = "s";
		CRPHUD_Job.settext("\c6Job: \c3"@ $CRPClient::Jail[getRandom(2)] @"\c6- "@ %jail @" Tick"@ %s);
		CRPStatJail.setText("\c6Jail: \c3"@ %jail @" Tick"@ %s);
	}
	else if(%student)
		CRPHUD_Job.settext("\c6Job: \c3Student "@ %job);
	else
		CRPHUD_Job.settext("\c6Job: \c3"@ %job);
	CRPStatJob.setText("\c6Job: \c3"@ %job);
	if(!%jail)
		CRPStatJail.setText("\c6Jail: \c3None");
	CRPStatStudent.setText("\c6Student: \c3"@ YN(%student));
}
function clientcmdSetCRPAmmo(%ammo)
{
	CRPHUD_Ammo.settext("\c6Ammo: \c3"@ %ammo);
}
function clientcmdSetCRPHunger(%level)
{
	CRPHUD_Hunger.settext("\c6Hunger: \c3"@ $CRPClient::Hunger[mfloor(%level)]);
}
function clientCmdSetCRPLotInfo(%type, %owner)
{
	if(%type $= "Residential")
		CRPHUD_Lot.settext("\c3"@ %owner);
	else if(%type $= "Commercial")
		CRPHUD_Lot.settext("\c1"@ %owner);
	else if(%type $= "Industrial")
		CRPHUD_Lot.settext("\c0"@ %owner);
	else
		CRPHUD_Lot.settext("\c6"@ %owner);
}
function clientCmdDoCoke(%intensity)
{
	cancel($Drug);
	if(%intensity < 1)
	{
		setfov("90");
		clientCmdSetVignette(0,"0 0 0 0");
	}
	else
	{
		setfov(getrandom(45,135));
		clientCmdSetVignette(1, getrandom(255) SPC getrandom(255) SPC getrandom(255) SPC %intensity*5);
		clientCmdtimescale("1");
		$Drug = schedule(1000,0,"clientCmdDoCoke",%intensity--);
	}
}
function clientCmdDoWeed(%intensity)
{
	cancel($Drug);
	if(%intensity < 1)
	{
		setfov("90");
		clientCmdSetVignette(0,"0 0 0 0");
		clientCmdtimescale("1");
	}
	else
	{
		setfov(getrandom(60,120));
		clientCmdSetVignette(0, getrandom(255) SPC getrandom(255) SPC getrandom(255) SPC %intensity*5);
		clientCmdtimescale("0.9");
		$Drug = schedule(900,0,"clientCmdDoWeed",%intensity--);
	}
}
function ClientCmdSetCRPlotDescription(%lot,%current)
{
	$CRPClient::Lot = %lot;
	CRPLotDescribeBox.setValue(%current);
	canvas.PushDialog(CRPLotDescription);
}
function ClientCmdSellCRPlot(%lot,%current)
{
	$CRPClient::Lot = %lot;
	CRPLotPriceBox.setValue(stripChars(%current,"$,"));
	canvas.PushDialog(CRPLotPrice);
}
function clientCmdOpenCRPrealEstate()
{
	canvas.PushDialog(CRPRealEstate);
}
function clientCmdAddCRPplayerLot(%name, %price, %description, %lot)
{
	PlayerLotList.addRow(1,%name TAB "$"@ addComma(%price) TAB %description TAB %lot);
	$CRPClient::OwnedLot[%lot]=1;
}
function clientCmdAddCRPrealEstateLot(%name,%price,%ownerid,%ownername,%description,%lot)
{
	RealEstateList.addRow(1,%name TAB "$"@ addComma(%price) TAB %ownername SPC"("@ %ownerid @")" TAB %description TAB %lot);
	$CRPClient::LotForSale[%lot]=1;
}
CRPCommands_PopUp.clear();
CRPCommands_PopUp.add("Money",1,0);
CRPCommands_PopUp.add("Lumber",2,0);
CRPCommands_PopUp.add("Ore",3,0);
CRPCommands_PopUp.setValue("Money");
CRPCommands_AdminPopUp.clear();
CRPCommands_AdminPopUp.add("Money",1,0);
CRPCommands_AdminPopUp.add("Bank",2,0);
CRPCommands_AdminPopUp.add("Demerits",3,0);
CRPCommands_AdminPopUp.add("Bounty",4,0);
CRPCommands_AdminPopUp.add("Experience",5,0);
CRPCommands_AdminPopUp.add("Education",6,0);
CRPCommands_AdminPopUp.add("Lumber",7,0);
CRPCommands_AdminPopUp.add("Ore",8,0);
CRPCommands_AdminPopUp.add("Hunger",9,0);
CRPCommands_AdminPopUp.add("Height",10,0);
CRPCommands_AdminPopUp.setValue("Money");
package CRPClient
{
	function disconnect()
	{
		if($CRPClient::Open)
			clientCmdCloseCrpClient();
		return parent::disconnect();
	}
};
activatepackage("CRPClient");
function CRPCommandsButtonPress()
{
	CRPItemsCanvas.setVisible(0);
	CRPVehiclesCanvas.setVisible(0);
	CRPJobsCanvas.setVisible(0);
	CRPCreditsCanvas.setVisible(0);
	CRPStatisticsCanvas.setVisible(0);
	CRPCommandsCanvas.setVisible(1);
}
function CRPJobsButtonPress()
{
	commandtoserver('requestCRPJobs');
	CRPItemsCanvas.setVisible(0);
	CRPVehiclesCanvas.setVisible(0);
	CRPCommandsCanvas.setVisible(0);
	CRPCreditsCanvas.setVisible(0);
	CRPStatisticsCanvas.setVisible(0);
	CRPJobsCanvas.setVisible(1);
}
function CRPItemsButtonPress()
{
	commandtoserver('requestCRPItems');
	CRPVehiclesCanvas.setVisible(0);
	CRPCommandsCanvas.setVisible(0);
	CRPCreditsCanvas.setVisible(0);
	CRPStatisticsCanvas.setVisible(0);
	CRPJobsCanvas.setVisible(0);
	CRPItemsCanvas.setVisible(1);
}
function CRPVehiclesButtonPress()
{
	commandtoserver('requestCRPVehicles');
	CRPItemsCanvas.setVisible(0);
	CRPCommandsCanvas.setVisible(0);
	CRPCreditsCanvas.setVisible(0);
	CRPStatisticsCanvas.setVisible(0);
	CRPJobsCanvas.setVisible(0);
	CRPVehiclesCanvas.setVisible(1);
}
function CRPCreditsButtonPress()
{
	CRPItemsCanvas.setVisible(0);
	CRPVehiclesCanvas.setVisible(0);
	CRPJobsCanvas.setVisible(0);
	CRPCommandsCanvas.setVisible(0);
	CRPStatisticsCanvas.setVisible(0);
	CRPCreditsCanvas.setVisible(1);
}
function CRPStatisticsButtonPress()
{
	commandtoserver('requestCRPStats');
	CRPStatName.setText("\c3"@ $Pref::Player::NetName);
	CRPStatDemerits.setText("\c6Demerits: \c3"@ $CRPClient::Demerits);
	CRPItemsCanvas.setVisible(0);
	CRPVehiclesCanvas.setVisible(0);
	CRPCreditsCanvas.setVisible(0);
	CRPJobsCanvas.setVisible(0);
	CRPCommandsCanvas.setVisible(0);
	CRPStatisticsCanvas.setVisible(1);
}
function CRPJobsListSelect()
{
	$CRPClient::SelectedJob = getField(Jobslist.getValue(),1);
	JobName.setText("\c6Name: \c3"@ $CRPClient::SelectedJob);
	SetJobInformation($CRPClient::SelectedJob);
	ApplyForJobButton.setVisible(1);
}
function CRPGeneralButtonPress()
{
	CRPGlobalCanvas.setvisible(0);
	CRPLifetimeCanvas.setvisible(0);
	CRPGeneralCanvas.setvisible(1);
}
function CRPLifeTimeButtonPress()
{
	CRPGeneralCanvas.setvisible(0);
	CRPGlobalCanvas.setvisible(0);
	CRPLifetimeCanvas.setvisible(1);
}
function CRPGlobalButtonPress()
{
	CRPGeneralCanvas.setvisible(0);
	CRPLifetimeCanvas.setvisible(0);
	CRPGlobalCanvas.setvisible(1);
}
function PlayerLotListSelect()
{
	$CRPClient::PlayerLot = PlayerLotList.getValue();
	SetDescriptionButton.setVisible(1);
	$CRPClient::SelectedPlayerLot = getField($CRPClient::PlayerLot,3);
	if($CRPClient::LotForSale[$CRPClient::SelectedPlayerLot])
	{
		PutUpButton.setText(" \c6Take Down");
		PutUpButton.setColor("255 0 0 255");
		PutUpButton.command = "commandToServer('cancelCRPlotSale',$CRPClient::SelectedPlayerLot);$CRPClient::LotForSale[$CRPClient::SelectedPlayerLot]=0;";
	}
	else
	{
		PutUpButton.setText(" \c6Put Up");
		PutUpButton.setColor("0 255 0 255");
		PutUpButton.command = "ClientCmdSellCRPLot($CRPClient::SelectedPlayerLot,getField($CRPClient::PlayerLot,1));";
	}
	PutUpButton.setVisible(1);
}
function RealEstateLotListSelect()
{
	$CRPClient::RealEstateLot = RealEstateList.getValue();
	$CRPClient::SelectedRealEstateLot = getField($CRPClient::RealEstateLot,4);
	if($CRPClient::OwnedLot[$CRPClient::SelectedRealEstateLot])
	{
		BuyLotButton.setText(" \c6Take Down");
		BuyLotButton.setColor("255 0 0 255");
		BuyLotButton.command = "commandToServer('cancelCRPlotSale',$CRPClient::SelectedRealEstateLot);$CRPClient::LotForSale[$CRPClient::SelectedRealEstateLot]=0;";
	}
	else
	{
		BuyLotButton.setText(" \c6Buy Lot");
		BuyLotButton.setColor("0 255 0 255");
		BuyLotButton.command = "commandToServer('buyCRPLot',getField($CRPClient::RealEstateLot,4));";
	}
	BuyLotButton.setVisible(1);
}
function ClientCmdClearCRPRealEstate()
{
	SetDescriptionButton.setVisible(0);
	PutUpButton.setVisible(0);
	BuyLotButton.setVisible(0);
	RealEstateList.clear();
	PlayerLotList.clear();
}
function clientCmdStartDataDownload(%id)
{
	$CRPClient::DataLineCount = 0;
	$CRPClient::DataID = %id;
	newChatHud_AddLine("Downloading data file for ID \c3"@ %id @"\c0.");
	$CRPClient::DataFile = new FileObject();
	$CRPClient::DataFile.openForWrite("Config/server/crp/data/"@ %id @".dat");
}
function ClientCmdAddDataLine(%line)
{
	$CRPClient::DataFile.writeLine(%line);
	if($CRPClient::ShowDataLines)
		newChatHud_AddLine("Line "@ $CRPClient::DataLineCount++ @": \c6"@ %line);
}
function ClientCmdStopDataDownload()
{
	$CRPClient::DataFile.close();
	$CRPClient::DataFile.delete();
	newChatHud_AddLine("\c2Download finished for ID "@ $CRPClient::DataID @".");
}